Bug 212436 - Systemtap fails to compile even hello world example
Systemtap fails to compile even hello world example
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Radek Bíba
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 15:15 EDT by Daniel Qarras
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 07:01:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2006-10-26 15:15:04 EDT
Description of problem:
On a freshly installed FC6 + updates as of 2006-10-26 systemtap fails to compile
even a hello world example.

Version-Release number of selected component (if applicable):
frysk-0.0.1.2006.10.23.rh1-1.fc6

How reproducible:
Always.

Steps to Reproduce:
1. su -
2. Create the hello-world.stp file
3. stap hello-world.stp
  
Actual results:
From verbose output:

/usr/share/systemtap/runtime/print.c:14:26: error: linux/config.h: No such file
or directory

Expected results:
Systemtap does something meaningful.

Additional info:
Hello world example tested taken from
http://sourceware.org/systemtap/tutorial/node2.html.
Comment 1 Frank Ch. Eigler 2006-10-26 15:44:49 EDT
You probably didn't mean to specify a frysk version number!
I assume you are using systemtap-0.5.9, which is an old build.

systemtap-0.5.10, found in the testing-updates repo, should
fix this problem.  Please let us know how it works for you.
Comment 2 Daniel Qarras 2006-10-26 16:12:53 EDT
Yes, I am running systemtap-0.5.9, sorry about that.

I could not find 0.5.10 from testing-updates yet, I'll check again later:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/6/i386/
Comment 3 Fedora Update System 2006-10-27 15:37:31 EDT
systemtap-0.5.10-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Daniel Qarras 2006-10-29 06:28:37 EST
I can confirm that systemtap-0.5.10 is able to compile a hello world test!
Comment 5 Frank Ch. Eigler 2006-10-29 07:01:22 EST
Thank you.  Sorry for the inconvenience.
Comment 6 Fedora Update System 2006-10-30 16:40:32 EST
systemtap-0.5.10-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.